Skip to main content
PUT
Approve a return

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
number
required

The unique RMA ID. This ID is automatically generated when a merchant registers a pending return for a supplier using the POST /v1/retailers/{retailer_id}/rmas/ endpoint.

brand_id
number
required

The unique brand ID. In the Dropship UI this is called the Supplier ID. To find your Supplier ID, click your supplier name in the top nav.

Body

application/json

Represents a Return Merchandise Authorization (RMA) for a product return.

order_id
integer
required

The unique identifier of the order associated with the RMA.

Example:

12345

reason_id
integer
required

The unique identifier for the reason of the RMA.

Example:

5

rma_number
string | null

The unique RMA number.

Maximum string length: 32
Example:

"RMA1234567890"

brand_identifier
string | null

An identifier for the brand associated with the RMA.

Maximum string length: 32
Example:

"fabric-brand"

status
enum<string> | null

The current status of the RMA.

Available options:
pending,
approved,
rejected
Example:

"pending"

created_by
enum<string> | null

Indicates whether the RMA was created by the retailer or the brand.

Available options:
retailer,
brand
Example:

"retailer"

rmad_at
string<date-time> | null

The timestamp when the RMA was initiated.

Example:

"2023-01-15T10:00:00.000Z"

approved_at
string<date-time> | null

The timestamp when the RMA was approved.

Example:

"2023-01-16T11:30:00.000Z"

rejected_at
string<date-time> | null

The timestamp when the RMA was rejected.

Example:

"2023-01-17T14:45:00.000Z"

acknowledged_at
string<date-time> | null

The timestamp when the RMA was acknowledged.

Example:

"2023-01-15T10:15:00.000Z"

Response

200 - application/json

Ok

order_id
integer
required

Order ID

Example:

1000

reason_id
integer
required

ID associated with return reason

Example:

344

id
integer
read-only

RMA ID. This ID is required in subsequent endpoints related to RMA.

Example:

4

purchase_order_number
string
read-only

Purchase order number

Minimum string length: 1
Example:

"CS192168"

rma_number
string | null

RMA number

Maximum string length: 32
Example:

"ABC123"

status
enum<string> | null

RMA status. Default is Pending.

Available options:
pending,
approved,
rejected
Example:

"Pending"

currency
object
created_by
enum<string> | null

User that initiated RMA

Available options:
retailer,
brand
Example:

"Retailer"

rmad_at
string<date-time> | null

Time of RMA creation (UTC format)

Example:

"2022-09-10T15:24:56Z"

approved_at
string<date-time> | null

Time of RMA approval (UTC format)

Example:

"2022-09-10T15:24:56Z"

rejected_at
string<date-time> | null

Time of RMA rejection(UTC format)

Example:

null

ordered_at
string<date-time>
read-only

Time of order finalization (UTC format)

Example:

"2022-09-10T15:24:56Z"

acknowledged_at
string<date-time> | null

Time of RMA acknowledgment (UTC format)

Example:

"2022-09-10T15:24:56Z"

rma_lines
object[]
read-only
reason
string
read-only

Reason for return

Minimum string length: 1
Example:

"Incorrect"

memos
object[]
read-only
attachments
object[]
read-only
retailer
object
brand
object
total_amount
string
read-only

Total amount

Example:

"34.00"

credits
object[]
read-only